<?php

namespace App\Http\Controllers\API;

use App\Http\Controllers\Controller;
use App\Http\Resources\PaymentSystemResource;
use App\Models\PaymentSystemModel;

class PaymentSystemController extends Controller
{
    public function legal($legal)
    {
        if ($legal === 'legal') {
            $systems = PaymentSystemModel::with('items')->whereIn('slug', ['money_transfer', 'cash'])->get();
        } else {
            $systems = PaymentSystemModel::with('items')->whereIn('slug', ['payment_systems', 'cash'])->get();
        }

        return [
            'data' => [
                'payment_types' => PaymentSystemResource::collection($systems)
            ]
        ];
    }
}
